/*
Theme Name: Avada Child
Description: Child theme for Avada theme
Author: ThemeFusion
Author URI: https://theme-fusion.com
Template: Avada
Version: 1.0.0
Text Domain:  Avada
*/

/* header */
.header-pc {height:80px; backdrop-filter: blur(10px);}
.header-tablet {backdrop-filter: blur(10px);}
.header-mobile {backdrop-filter: blur(10px);}



/* main */
/* hero section */
.hero-section .heading .fusion-title-heading {font-weight: 700; letter-spacing: -0.5px;}
.hero-section .heading .fusion-title-heading .text-primary{background: linear-gradient(90deg, #34D399 0%, #99F6E4 100%); -webkit-background-clip: text; -webkit-text-fill-color: transparent; background-clip: text; color: transparent;}
.hero-section .caption .fusion-title-heading {font-weight: 300; font-family: 'pretendard light';}
.hero-section .hero-btn {border-radius: 12px; font-weight: 500; padding: 0px 20px; height: 46px; text-align: center; line-height: calc(46px - 2px);}
.hero-section .hero-btn.primary {background: var(--awb-color5); border:1px solid var(--awb-color5); color: #fff; backdrop-filter: blur(2px);}
.hero-section .hero-btn.white {background: rgba(255, 2555, 255, 0.2); border:1px solid #656565; color: #fff; backdrop-filter: blur(2px);}
/*  */
.tfs-slider .mobile_video_image {display: none !important;}
.self-hosted-video-bg { display: block !important; z-index: 1; }
.self-hosted-video-bg video { display: block !important; width: 100%; height: 100%; object-fit: cover; }


/* key portfolio */
.key-portfolio-card-title { display: -webkit-box !important; -webkit-box-orient: vertical; -webkit-line-clamp: 2; overflow: hidden;}


/* table */
:root {
  --table-bg : var(--awb-custom_color_3);
  --table-cell-bg : var(--awb-custom_color_5);
  --table-border : var(--awb-custom_color_4);
  --table-text-color: var(--awb-color6)
}
.table-wrapper {border-radius: 12px; border:1px solid var(--table-border); overflow: hidden;}
.table-wrapper table {width: 100%;}
.generation-table {background-color: var(--table-bg); }
.generation-table th, .generation-table td{padding: 16px;text-align: center; vertical-align: middle; font-weight: 500; border-right: 1px solid var(--table-border); border-bottom: 1px solid var(--table-border); color: var(--table-text-color);}
.generation-table th.last, .generation-table td.last {border-right: 0;}
.generation-table th.last-row, .generation-table td.last-row {border-bottom: 0;}
.generation-table thead th{background-color: var(--table-cell-bg);}
.generation-table tbody th{font-weight: 700;}
.generation-table .text-white{color: #fff;}
.generation-table th b, .generation-table td b{font-family: 'pretendard semibold';}
.generation-table th.highlight {position:relative; background-color: rgba(52,211,153,0.1); color: var(--awb-color4);}
.generation-table th.highlight:before {position:absolute; top:0; left:50%; transform:translate(-50%); content:''; width: 0; height: 0; border-left: 6px solid transparent; border-right: 6px solid transparent; border-top: 10px solid var(--awb-color4);}
.generation-table td.highlight {color: var(--awb-color4);}


/* ======== PROJECT ======== */
.project-detail-img img {max-height: 400px;} 
.project-slides .awb-swiper-button-next, 
.project-slides .awb-swiper-button-prev {z-index:-1 !important; display:none !important;}
.project-slide-control-wrapper {display: flex; gap: 10px;}
.project-slide-control-wrapper .project-slide-prev,
.project-slide-control-wrapper .project-slide-next {}
.project-slide-control-wrapper .project-slide-prev{}
.project-slide-control-wrapper .project-slide-next{}



/* ======== SOLUTION ======== */
ul.list-dot {margin: 0; padding: 0; list-style: none;}
ul.list-dot > li {padding-left: 16px; position: relative;}
ul.list-dot > li:before {position: absolute; top:11px; left:0; width: 5px; height: 5px; border-radius:100%; content:''; background: var(--awb-color6);}
ul.list-none {margin: 0; padding: 0; list-style: none;}
ul.list-none > li {}
ul.list-none > li:before {}

/* manuverse */
.manuverse-table {background-color: var(--table-bg); }
.manuverse-table th,
.manuverse-table td{padding: 16px; font-weight: 500; border-right: 1px solid var(--table-border); border-bottom: 1px solid var(--table-border); color: var(--table-text-color);}
.manuverse-table th {text-align: center; vertical-align: middle; }
.manuverse-table thead th {color: #fff;}
.manuverse-table td {text-align: initial; vertical-align: top; }
.manuverse-table th.last, .manuverse-table td.last {border-right: 0;}
.manuverse-table th.last-row, .manuverse-table td.last-row {border-bottom: 0;}
.manuverse-table thead th{background-color: var(--table-cell-bg);}
.manuverse-table tbody th{font-weight: 700;}
.manuverse-table .text-white{color: #fff;}
.manuverse-table .text-primary{color: var(--awb-color4);}
.manuverse-table th b, .manuverse-table td b{font-family: 'pretendard semibold';}

.manuverse-diagram-wrapper { position: relative; width: 100%; max-width: 1200px; margin: 0 auto 30px auto; }
.manuverse-diagram-wrapper img { width: 100%; height: auto; position: absolute; top: 0; left: 0; opacity: 0; transition: opacity 0.6s ease-in-out; }
.manuverse-diagram-wrapper img:first-child { position: relative; }
.manuverse-diagram-wrapper img.active { opacity: 1; z-index: 2; }

/* --- 2. 테이블 하이라이트 스타일 --- */
.manuverse-table tbody tr { transition: background-color 0.4s ease-in-out; }
.manuverse-table tbody tr.active-row { background-color: rgba(52, 211, 153, 0.2) !important; }
.manuverse-table tbody tr.active-row th,
.manuverse-table tbody tr.active-row td { background-color: transparent !important; }

/*  */
.tco-results-table {background-color: var(--table-bg); }
.tco-results-table th,
.tco-results-table td{padding: 16px; font-weight: 500; border-right: 1px solid var(--table-border); border-bottom: 1px solid var(--table-border); color: var(--table-text-color);}
.tco-results-table th {text-align: center; vertical-align: middle; }
.tco-results-table thead th {color: #fff;}
.tco-results-table td {text-align: initial; vertical-align: top; }
.tco-results-table th.last, .tco-results-table td.last {border-right: 0;}
.tco-results-table th.last-row, .tco-results-table td.last-row {border-bottom: 0;}
.tco-results-table thead th{background-color: var(--table-cell-bg);}
.tco-results-table tbody th{font-weight: 700;}
.tco-results-table .text-white{color: #fff;}
.tco-results-table .text-primary{color: #77B3FF}
.tco-results-table .text-blue{color: var(--awb-color4);}
.tco-results-table .text-orange{color: #E8723B;}
.tco-results-table .bg-green {background: rgba(74,154,255,0.1) }
.tco-results-table .bg-blue {background: rgba(16,185,128,0.1);}
.tco-results-table .bg-orange {background: rgba(204,101,53,0.1); }
.tco-results-table th b, .tco-results-table td b{font-family: 'pretendard semibold';}

/* datacenter */
.datacenter-table {background-color: var(--table-bg); }
.datacenter-table th,
.datacenter-table td{padding: 16px; font-weight: 500; border-right: 1px solid var(--table-border); border-bottom: 1px solid var(--table-border); color: var(--table-text-color);}
.datacenter-table th {text-align: center; vertical-align: middle; }
.datacenter-table thead th {color: #fff;}
.datacenter-table td {text-align: initial; vertical-align: middle; }
.datacenter-table th.last, .datacenter-table td.last {border-right: 0;}
.datacenter-table th.last-row, .datacenter-table td.last-row {border-bottom: 0;}
.datacenter-table thead th{background-color: var(--table-cell-bg);}
.datacenter-table tbody th{font-weight: 700;}
.datacenter-table .text-white{color: #fff;}
.datacenter-table .text-primary{color: var(--awb-color4);}
.datacenter-table th b, .manuverse-table td b{font-family: 'pretendard semibold';}


/* ======== ABOUT ======== */
.partner-item {height:70px !important;}

.corporate-org-table {background-color: var(--table-bg); }
.corporate-org-table th,
.corporate-org-table td{padding: 16px; font-weight: 500; border-right: 1px solid var(--table-border); border-bottom: 1px solid var(--table-border); color: var(--table-text-color);}
.corporate-org-table th {text-align: center; vertical-align: middle; }
.corporate-org-table thead th {color: #fff;}
.corporate-org-table td {text-align: initial; vertical-align: top; }
.corporate-org-table th.last, .corporate-org-table td.last {border-right: 0;}
.corporate-org-table th.last-row, .corporate-org-table td.last-row {border-bottom: 0;}
.corporate-org-table thead th{background-color: var(--table-cell-bg);}
.corporate-org-table tbody th{font-weight: 700;}
.corporate-org-table .text-white{color: #fff;}
.corporate-org-table .text-primary{color: var(--awb-color4);}
.corporate-org-table th b, .corporate-org-table td b{font-family: 'pretendard semibold';}

/* ======== CONTACT ======== */
.fusion-form .fusion-form-element-required {text-decoration: none !important;} 
.fusion-form-form-wrapper .fusion-form-175 .fusion-form-field .label, 
.fusion-form-form-wrapper .fusion-form-175 .fusion-form-field label {color:var(--awb-color6); font-size: 16px;}
.fusion-form-form-wrapper .fusion-form-175 .fusion-form-field .fusion-form-input,
.fusion-form-form-wrapper .fusion-form-175 .fusion-form-field textarea.fusion-form-input {background:transparent !important; border:1px solid rgba(255,255,255,0.1); color:#fff; border-radius:8px;}
.fusion-form-form-wrapper .fusion-form-175 .fusion-form-field .fusion-form-input:focus,
.fusion-form-form-wrapper .fusion-form-175 .fusion-form-field textarea.fusion-form-input:focus{border-color:var(--awb-color4) !important; background:rgba(47,47,47,0.5) !important}
.fusion-form-form-wrapper .fusion-form-175 .fusion-form-field textarea {resize: none;}





@media (max-width:768px) {
  
  /* 테이블 공통 */
  .table-scroll {position:relative; overflow-x: auto; margin-right: -20px; padding-right: 20px; padding-bottom:20px; }
  .table-scroll::-webkit-scrollbar { height: 6px; }
  .table-scroll::-webkit-scrollbar-track { background: rgba(255,255,255,0.2); border-radius: 10px; }
  .table-scroll::-webkit-scrollbar-thumb { background: rgba(255,255,255,0.2); border-radius: 10px; }
  .table-scroll::-webkit-scrollbar-thumb:hover { background: rgba(255,255,255,0.4);; }
  .table-scroll:After {position: absolute; bottom: 0; left:0; content:'← Scroll left or right to view →'; font-size:12px; color:#959595;}
  .table-scroll .table-wrapper {overflow:hidden; min-width:900px; }
  .table-scroll table {min-width: 900px; font-size:14px;}
  
  /* hero section */
  .hero-section .heading .fusion-title-heading {font-size:32px !important; line-height: 1.2 !important; margin: 0 !important;}
  .tfs-slider .slide-content-container .heading {margin: 0 !important;}
  .hero-section .caption .fusion-title-heading {font-size:16px !important; line-height: 1.2 !important;}
  .hero-section .hero-btn {padding: 0px 20px; height: 40px; line-height: calc(40px - 2px); font-size:14px !important;;}
  .hero-section .buttons .tfs-button-1,
  .hero-section .buttons .tfs-button-2 {padding:0 !important; margin-top: 20px !important}
  .hero-section .flex-control-nav {text-align: left; padding: 0 20px;}

  /* 모바일에서 영상 대신 미리보기 이미지 보여지는 것 해제 */
  .mobile_video_image { display: none !important; }
  .self-hosted-video-bg { display: block !important; }

  

  /* main */
  .generation-table {}
  .generation-table th, .generation-table td {padding:8px; }


  /* ======== PROJECT ======== */
  .project-slide-control-wrapper {justify-content: center;}


  /* ======== CONTACT ======== */
  .fusion-form-form-wrapper .fusion-form-field {margin: 6px 0 !important;}
  .fusion-form-form-wrapper .fusion-form-175 .fusion-form-field .label, .fusion-form-form-wrapper .fusion-form-175 .fusion-form-field label {font-size: 14px; margin-bottom: 4px !important;}
} 